Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260873 - app-crypt/trousers: uses -Werror during build (fails with -Wformat=security)
Summary: app-crypt/trousers: uses -Werror during build (fails with -Wformat=security)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Crypto team
URL: http://blog.flameeyes.eu/2009/02/25/f...
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-03-02 14:01 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-03-22 16:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (trousers-0.3.1:20090308-104516.log,43.31 KB, text/plain)
2009-03-08 14:04 UTC, Diego Elio Pettenò (RETIRED)
Details
Remove -Werror in configure.in (trousers_remove_Werror.patch,479 bytes, text/plain)
2009-03-10 19:42 UTC, Magnus Granberg
Details
Remove -Werror in configure (trousers_remove_Werror2.patch,452 bytes, text/plain)
2009-03-10 19:55 UTC, Magnus Granberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-02 14:01:21 UTC
Hello,

you're receiving this canned bug because the package in summary uses the flag -Werror during build, which transforms warnings in errors, and is prone to break software when new GCC releases are added to Gentoo.

Please make sure your package does not use -Werror during build, so that it can be more future-proof for the new GCC releases.

Thanks,
Diego
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-08 13:13:18 UTC
And this fails with gcc-4.3.3 too, so higher priority please.
Comment 2 Magnus Granberg gentoo-dev 2009-03-08 13:57:08 UTC
Missing buildlog
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-08 14:04:09 UTC
Created attachment 184335 [details]
Build log

Well the -Werror usage was easy to reproduce, but still ;)
Comment 4 Magnus Granberg gentoo-dev 2009-03-10 19:42:47 UTC
Created attachment 184591 [details]
Remove -Werror in configure.in
Comment 5 Magnus Granberg gentoo-dev 2009-03-10 19:55:41 UTC
Created attachment 184592 [details]
Remove -Werror in configure
Comment 6 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-03-22 16:23:05 UTC
Fixed.